#ifndef __MODEL_POLYGON_H__
#define __MODEL_POLYGON_H__

#include <string>

#include "ModelShape.h"

namespace Tn {
    
namespace openGLMap {
   
//As it stands right now, this class just provides type-safety
template <typename COORD>
class Polygon : public Shape<COORD>
{
public:
    Polygon(ShapeAttributes const & attributes) : Shape<COORD>(attributes) {}
    virtual ~Polygon() {}
    
    eShapeType Type() const { return eShapeType_POLYGON; }
    
};
    
}// namespace openGLMap
    
}// namespace Tn

#endif // __MODEL_POLYGON_H__

